<!--
 * @Description: 验收情况统计
 * @Author: @liulin
 * @Date: 2023-03-24 16:38:19
 * @LastEditors: Do not edit
 * @LastEditTime: 2023-03-26 15:13:48
-->
<template>
  <TableConfig :configData="configData" />
</template>

<script>
import TableConfig from './components/TableConfig.vue'
import utils from '@/utils' // thousandBit格式化千分位
const BigNumber = require('bignumber.js')
export default {
  name: 'dailyMainEngPayStatistics',
  components: {
    TableConfig
  },
  data() {
    return {
      configData: {
        table: [
          {
            label: '路段名称',
            value: 'roadName'
          },
          {
            label: '施工记录总数',
						value: 'constructionCount',
						format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '完成验收总数',
						value: 'finishCount',
						format: true,
            count: val => utils.thousandBit(val)
          },
          {
            label: '完成验收比例',
            value: 'finishRate',
            format: true,
            count: val => new BigNumber(val).times(100) + '%'
          },
        ],
        api: 'workOrderInformation/v1/orderCheckReport'
      }
    }
  }
}
</script>
<style lang="scss"></style>
